%define api 3
%define major 2
%define libname %mklibname %{name}%{api}_ %{major}
%define girname %mklibname %{name}-gir %{api}
%define libnamedev %mklibname %{name}%{api} -d


Name:		bamf
Summary:	Removes applications matching into a simple DBusdaemon and C wrapper library
Group:		System/Libraries
Version:	0.5.0
Release:	%mkrel 1
License:	GPLv3
URL:		https://launchpad.net/bamf
Source0:	https://launchpad.net/bamf/0.5/%{version}/+download/%{name}-%{version}.tar.xz
Patch1:     	bamf-0.5.0-return-void.patch
#---------------------------------------------
BuildRequires: python-libxml2
BuildRequires: python-libxslt
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: x11-proto-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtop2.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}wnck3-devel
BuildRequires: %{_lib}x11-devel
#---------------------------------------------

%description
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

#--------------------------------------------------------------------
%package daemon
Summary:	BAMF daemon
Group:		System/Libraries
License:	GPLv3

%description daemon
BAMF daemon.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.


#--------------------------------------------------------------------
%package -n %{libname}
Summary:	BAMF libray
Group:		System/Libraries

%description -n	%{libname}
Library for %{name}.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.



#--------------------------------------------------------------------
%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/Libraries
License:	GPLv3
Requires:	%{libname} = %{version}

%description -n	%{libnamedev}
This package contains libraries and header files for developing applications
that use %{name}.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf daemon and supporting data.


#--------------------------------------------------------------------
%prep
%setup -q
%patch1 -p1 -b .void_return
sed -i 's/CFLAGS="$CFLAGS -Wall -Werror -lm"/CFLAGS="$CFLAGS -Wall -lm"/' configure

%build
%configure2_5x \
    --disable-static \
    --disable-webapps \
    --enable-introspection=yes

%make

%install
rm -rf %buildroot
%makeinstall_std

# Clean .la files
find %{buildroot}%{_libdir} -name '*.la' -delete -print


%files daemon
%doc COPYING
%dir %{_libexecdir}/bamf/
%{_libexecdir}/bamf/bamfdaemon
%{_datadir}/dbus-1/services/*.service


%files -n %{libname}
%{_libdir}/libbamf3.so.%{major}*
%{_libdir}/girepository-1.0/Bamf-%{api}.typelib


%files -n %{libnamedev}
%doc COPYING.LGPL COPYING
%doc %{_datadir}/gtk-doc/html/libbamf/
%{_includedir}/libbamf3/
%{_libdir}/libbamf3.so
%{_libdir}/pkgconfig/libbamf3.pc
%{_datadir}/gir-1.0/Bamf-%{api}.gir
%{_datadir}/vala/vapi/libbamf3.vapi


%clean
rm -rf %buildroot

%changelog
* Sun Oct 12 2014 bb <bb> 0.5.0-1pclos2014
- import into pclos
